Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class BalanceDetailItem

java.lang.Object
ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceDetailItem

All Implemented Interfaces:
  `Comparable<BalanceDetailItem>`

public class BalanceDetailItem extends Object implements Comparable<BalanceDetailItem>
Bean впервую очередь для таблицы "Детализированный баланс"(элементы дерева баланса: исходящий остаток, доступная сумма).

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_ACCOUNT`
  `static final int`
  `TYPE_CHARGE`
  `static final int`
  `TYPE_END_MONTH`
  `static final int`
  `TYPE_PAYBACK`
  `static final int`
  `TYPE_PAYMENT`
  `static final int`
  `TYPE_RESERVE_CLOSE`
  `static final int`
  `TYPE_RESERVE_CREATE`
  `static final int`
  `TYPE_START_MONTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BalanceDetailItem()`
  `BalanceDetailItem(int type, Date date, BigDecimal sumAfterChange)`
  Конструктор для элементов начала и конца месяца.
  `BalanceDetailItem(Charge charge, String contractTitle, String typeTitle)`
  `BalanceDetailItem(ContractAccount account, String contractTitle, String serviceTitle)`
  `BalanceDetailItem(Payment payment, String contractTitle, String typeTitle)`
  `BalanceDetailItem(Reserve reserve, int type, String contractTitle, String typeTitle)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(BalanceDetailItem o)`
  `String`
  `getComment()`
  `String`
  `getContractTitle()`
  `Date`
  `getDate()`
  `BigDecimal`
  `getSum()`
  Приходы и закрытые резервы имеют положительную сумму, остольные с отрицательным значением.
  `BigDecimal`
  `getSumAfterChange()`
  `String`
  `getTitle()`
  `int`
  `getType()`
  `String`
  `getTypeTitle()`
  `void`
  `setComment(String comment)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDate(Date date)`
  `void`
  `setSum(BigDecimal sum)`
  Приходы и закрытые резервы имеют положительную сумму, остольные с отрицательным значением.
  `void`
  `setSumAfterChange(BigDecimal sumAfterChange)`
  `void`
  `setTitle(String title)`
  `void`
  `setType(int type)`
  `BigDecimal`
  `toSetSumAfterChange(BigDecimal sumBeforChange)`
  В зависемости от типа либо прибавит либо убавит на свою сумму, после чего установит sumAfterChange и вернет ее же.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_PAYMENT

    public static final int TYPE_PAYMENT
    See Also:
      - Constant Field Values

  - ### TYPE_CHARGE

    public static final int TYPE_CHARGE
    See Also:
      - Constant Field Values

  - ### TYPE_PAYBACK

    public static final int TYPE_PAYBACK
    See Also:
      - Constant Field Values

  - ### TYPE_ACCOUNT

    public static final int TYPE_ACCOUNT
    See Also:
      - Constant Field Values

  - ### TYPE_RESERVE_CREATE

    public static final int TYPE_RESERVE_CREATE
    See Also:
      - Constant Field Values

  - ### TYPE_RESERVE_CLOSE

    public static final int TYPE_RESERVE_CLOSE
    See Also:
      - Constant Field Values

  - ### TYPE_START_MONTH

    public static final int TYPE_START_MONTH
    See Also:
      - Constant Field Values

  - ### TYPE_END_MONTH

    public static final int TYPE_END_MONTH
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BalanceDetailItem

    public BalanceDetailItem()

  - ### BalanceDetailItem

    public BalanceDetailItem(int type, Date date, BigDecimal sumAfterChange)
    Конструктор для элементов начала и конца месяца.

  - ### BalanceDetailItem

    public BalanceDetailItem(Payment payment, String contractTitle, String typeTitle)

  - ### BalanceDetailItem

    public BalanceDetailItem(Charge charge, String contractTitle, String typeTitle)

  - ### BalanceDetailItem

    public BalanceDetailItem(Reserve reserve, int type, String contractTitle, String typeTitle)
    Parameters:
      `type` - - тип операции резерва, открытие или закрытие(из статик полей).

  - ### BalanceDetailItem

    public BalanceDetailItem(ContractAccount account, String contractTitle, String serviceTitle)

- ## Method Details

  - ### compareTo

    public int compareTo(BalanceDetailItem o)
    Specified by:
      `compareTo` in interface `Comparable<BalanceDetailItem>`

  - ### getTypeTitle

    public String getTypeTitle()

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getSum

    public BigDecimal getSum()
    Приходы и закрытые резервы имеют положительную сумму, остольные с отрицательным значением.

  - ### setSum

    public void setSum(BigDecimal sum)
    Приходы и закрытые резервы имеют положительную сумму, остольные с отрицательным значением.

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### setType

    public void setType(int type)

  - ### getType

    public int getType()

  - ### getSumAfterChange

    public BigDecimal getSumAfterChange()

  - ### setSumAfterChange

    public void setSumAfterChange(BigDecimal sumAfterChange)

  - ### toSetSumAfterChange

    public BigDecimal toSetSumAfterChange(BigDecimal sumBeforChange)
    В зависемости от типа либо прибавит либо убавит на свою сумму, после чего установит sumAfterChange и вернет ее же.
    Parameters:
      `sumBeforChange` - - сумма от которой будет расчитываться sumAfterChange, то есть та сумма которая была до этого прихода/расхода/наработки/резерва.